using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Planlibrary
{
    [Description("预案库收藏")]
    public class PlanCollect : FullStateEntity
    {
        /// <summary>
        /// 预案库ID
        /// </summary>
        [SugarColumn(ColumnDescription = "预案库ID")]
        public string PlanId { get; set; }

        /// <summary>
        /// 预案库
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(PlanId))]
        public PlanList Plan { get; set; }

        /// <summary>
        /// 评分
        /// </summary>
        [SugarColumn(ColumnDescription = "评分")]
        public decimal? Score { get; set; } = decimal.Zero;

        /// <summary>
        /// 是否收藏
        /// </summary>
        [SugarColumn(ColumnDescription = "是否收藏")]
        public bool? Collect { get; set; }
    }
}
